;       Inno Setup.
;    ,     INNO SETUP!

#define MyAppName "TCP-Client"
#define MyAppVersion "1.0"
#define MyAppPublisher "AVR"
#define MyAppURL "http://www.avrki.ru/"
#define MyAppExeName "TCP-Client.exe"

[Setup]
; :  AppId      .
;       AppId   .
; (    GUID,    ""  " GUID".)
AppId={{020481A8-19FA-48A1-A190-1DC26FBD1E09}
AppName={#MyAppName}
AppVersion={#MyAppVersion}
;AppVerName={#MyAppName} {#MyAppVersion}
AppPublisher={#MyAppPublisher}
AppPublisherURL={#MyAppURL}
AppSupportURL={#MyAppURL}
AppUpdatesURL={#MyAppURL}
DefaultDirName={pf}\{#MyAppName}
DisableProgramGroupPage=yes
LicenseFile=D:\\\\TCP-\license.txt
OutputDir=D:\\\\TCP-
OutputBaseFilename=setup
SetupIconFile=D:\Projects\Qt\Network\TCP-Client\tcpico.ico
Compression=lzma
SolidCompression=yes

[Languages]
Name: "russian"; MessagesFile: "compiler:Default.isl"
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "D:\\\\TCP-\TCP-Client.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\\\\TCP-\libgcc_s_seh-1.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\\\\TCP-\libstdc++-6.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\\\\TCP-\libwinpthread-1.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\\\\TCP-\qt.conf"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\\\\TCP-\Qt5Core.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\\\\TCP-\Qt5Gui.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\\\\TCP-\Qt5Network.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\\\\TCP-\Qt5Widgets.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\\\\TCP-\TCP-Client.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\\\\TCP-\plugins\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs
; :  '  "ignoreversion"    .

[Icons]
Name: "{commonprograms}\{#MyAppName}"; Filename: "{app}\{#MyAppExeName}"
Name: "{commondesktop}\{#MyAppName}"; Filename: "{app}\{#MyAppExeName}"; Tasks: desktopicon

[Run]
Filename: "{app}\{#MyAppExeName}"; Description: "{cm:LaunchProgram,{#StringChange(MyAppName, '&', '&&')}}"; Flags: nowait postinstall skipifsilent

