#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QtNetwork>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

// Обработчик нажатия на кнопку
void MainWindow::on_pushButton_clicked()
{
    ui->progressBar->setValue(10);
    //pushButton
    ui->pushButton->setDisabled(1);
    // Чтение ячеек IP
    QString text_ip_1 = ui->ip_1->text();
    QString text_ip_2 = ui->ip_2->text();
    QString text_ip_3 = ui->ip_3->text();
    QString text_ip_4 = ui->ip_4->text();

    // Сборка IP
    QString ip = text_ip_1 + "." + text_ip_2 + "." + text_ip_3 + "." + text_ip_4;

    // Чтение номера порта
    QString text_port = ui->port->text();

    // Преобразовать строку порта в число
    int port_num = text_port.toInt();

    // Получить данные для передачи серверу
    QString str = ui->data->text();
    QByteArray ba = str.toLocal8Bit() ;
    char *tempChar = new char[12];
    tempChar = ba.data();

    ui->progressBar->setValue(50);

    // Работа с сетью
    QTcpSocket myTcpSoket;

    QByteArray Data;
    QString OutData;

    // Подключиться к серверу
    myTcpSoket.connectToHost(ip, (quint16)port_num);

    ui->progressBar->setValue(60);

    // Если подключились удачно, то отправляем ключ на включение реле
    if(myTcpSoket.waitForConnected(1000))
    {
        // Передача ключа
        myTcpSoket.write(tempChar);
        myTcpSoket.waitForBytesWritten(500);

        ui->progressBar->setValue(70);

        myTcpSoket.waitForReadyRead(5000);
        Data = myTcpSoket.readAll();

        ui->progressBar->setValue(80);

        //OutData = QString::fromUtf8(Data.data());

        QTextCodec *codec = QTextCodec::codecForName("Windows-1251");
        OutData = codec->toUnicode(Data);

        if(Data == "")
        {
            OutData = "Пустой ответ!";
        }

        ui->answer->setText(OutData);
    }
    else
    {
        ui->answer->setText("Не достучался!");
    }

    ui->pushButton->setDisabled(0);

    ui->progressBar->setValue(100);
}
